Bug 1455066 - 'dnf install' prints garbage in the error message if a non-existent rpm file is given as argument
Summary: 'dnf install' prints garbage in the error message if a non-existent rpm file ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 25
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Rohel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-24 08:08 UTC by Kamil Dudka
Modified: 2017-06-16 13:19 UTC (History)
6 users (show)

Fixed In Version: dnf-2.5.1-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-16 13:19:19 UTC
Type: Bug


Attachments (Terms of Use)

Description Kamil Dudka 2017-05-24 08:08:05 UTC
Version-Release number of selected component (if applicable):
dnf-1.1.10-6.fc25.noarch or dnf-2.4.1-1.fc26.noarch


How reproducible:
Reliably.


Steps to Reproduce:
1. dnf install /home/kdudka/rpmbuild/RPMS/noarch/python3-magic-5.31-1.fc25.noarch.rpm/home/kdudka/rpmbuild/RPMS/noarch/python3-magic-5.31-1.fc25.noarch.rpm


Actual results:
Last metadata expiration check: 0:00:00 ago on Wed May 24 09:55:46 2017 CEST.
Can not load RPM file: �home/kd.


Expected results:
No garbage in the error message.


Additional info:
valgrind reports many invalid reads in PyUnicode_* functions.

Comment 1 Jaroslav Rohel 2017-05-25 08:46:19 UTC
PR https://github.com/rpm-software-management/libdnf/pull/290

Comment 2 Kamil Dudka 2017-05-25 12:39:22 UTC
Thanks for the quick response on this!

Comment 3 Fedora Update System 2017-06-12 15:31:03 UTC
dnf-plugins-core-2.1.1-1.fc26 libdnf-0.9.1-1.fc26 dnf-2.5.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c87c47dccb

Comment 4 Fedora Update System 2017-06-14 01:36:23 UTC
dnf-2.5.1-1.fc26, dnf-plugins-core-2.1.1-1.fc26, libdnf-0.9.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c87c47dccb

Comment 5 Fedora Update System 2017-06-14 05:35:03 UTC
dnf-2.5.1-1.fc26 dnf-plugins-core-2.1.1-1.fc26 dnfdaemon-0.3.18-3.fc26 libdnf-0.9.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c87c47dccb

Comment 6 Fedora Update System 2017-06-15 13:56:27 UTC
dnf-2.5.1-1.fc26, dnf-plugins-core-2.1.1-1.fc26, dnfdaemon-0.3.18-3.fc26, libdnf-0.9.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c87c47dccb

Comment 7 Fedora Update System 2017-06-16 13:19:19 UTC
dnf-2.5.1-1.fc26, dnf-plugins-core-2.1.1-1.fc26, dnfdaemon-0.3.18-3.fc26, libdnf-0.9.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.